Runs API
This is the API used to interact with runs.
Authentication
To authenticate into the RWX API, create an organization access token or a personal access token and pass it in the authorization header as a bearer token.
Authorization: Bearer <token>
Content Type
The API only accepts and responds with JSON.
Content-Type: application/json
List Runs
GET https://cloud.rwx.com/mint/api/runs
The endpoint will respond with the most recent (up to 50) runs given your filter criteria. Runs older than 28 days will not be returned.
You can filter runs using the following query string parameters:
Request Parameters
| parameter | required | description |
|---|---|---|
commit_sha | The commit sha (e.g 5164462e6e74bc61520f8ce2528dc78d0d995b33) | |
branch | The branch (e.g main) | |
definition_path | The definition path for the run. (e.g .rwx/ci.yml) |
Response Codes
| Code | Meaning |
|---|---|
200 | Return runs matching criteria |
401 | Invalid access token |
Example
Request
curl -H "Authorization: Bearer $RWX_ACCESS_TOKEN" \
"https://cloud.rwx.com/mint/api/runs?commit_sha=5164462e6e74bc61520f8ce2528dc78d0d995b33&branch=main"
Response
{
"runs": [
{
"id": "1c07996b752b4c8db550c59f2ea35598",
"definition_path": ".rwx/ci.yml",
"commit_sha": "5164462e6e74bc61520f8ce2528dc78d0d995b33",
"branch": "main",
"repository_name": "your-repo",
"result_status": "succeeded",
"execution_status": "finished",
"execution_aborted_sub_status": "not_applicable",
"execution_waiting_sub_status": "not_applicable",
"title": "Some run of .rwx/ci.yml",
"trigger": "github.push"
}
]
}
Attributes
| attribute | value |
|---|---|
result_status | succeeded, debugged, failed or no_result |
execution_status | waiting, in_progress, finished, or aborted |
execution_aborted_sub_status | cancelled, timed_out, internal_failure, initialization_error, or not_applicable |
execution_waiting_sub_status | waiting_for_manual_start, waiting_for_lease, or not_applicable |